[Dell Inspiron 15R 5521] suspend/resume failure

Bug #1214287 reported by Nicolas Devillers
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Dell Inc. Inspiron 5521 often crash when resuming.

WORKAROUND: Don't use non default kernel parameters:
acpi_osi=Linux acpi_backlight=vendor

ProblemType: KernelOops
DistroRelease: Ubuntu 13.10
Package: linux-image-3.11.0-2-generic 3.11.0-2.5
ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5
Uname: Linux 3.11.0-2-generic x86_64
Annotation: This occured during a previous suspend and prevented it from resuming properly.
ApportVersion: 2.12-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: nicolas 2763 F.... pulseaudio
Date: Tue Aug 20 10:02:28 2013
ExecutablePath: /usr/share/apport/apportcheckresume
Failure: suspend/resume
HibernationDevice: RESUME=UUID=173db09c-bffc-4da9-ab42-7ca73f84e71f
InstallationDate: Installed on 2013-04-08 (133 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
InterpreterPath: /usr/bin/python3.3
MachineType: Dell Inc. Inspiron 5521
MarkForUpload: True
ProcCmdline: /usr/bin/python3 /usr/share/apport/apportcheckresume
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
ProcFB:
 0 inteldrmfb
 1 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-2-generic root=UUID=09af3e13-8004-48fa-b0fe-116acbf8d3d7 ro crashkernel=384M-2G:64M,2G-:128M quiet splash acpi_osi=Linux acpi_backlight=vendor vt.handoff=7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: Daemon not responding.
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-2-generic N/A
 linux-backports-modules-3.11.0-2-generic N/A
 linux-firmware 1.113
SourcePackage: linux
StagingDrivers: rts5139
Title: [Dell Inc. Inspiron 5521] suspend/resume failure
UpgradeStatus: Upgraded to saucy on 2013-06-24 (56 days ago)
UserGroups:

dmi.bios.date: 05/20/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A08
dmi.board.name: 0HK2KG
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A08
dmi.modalias: dmi:bvnDellInc.:bvrA08:bd05/20/2013:svnDellInc.:pnInspiron5521:pvrA08:rvnDellInc.:rn0HK2KG:rvrA00:cvnDellInc.:ct8:cvrA08:
dmi.product.name: Inspiron 5521
dmi.product.version: A08
dmi.sys.vendor: Dell Inc.

Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :
Revision history for this message
Brad Figg (brad-figg) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: bios-outdated-a09 needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
summary: - [Dell Inc. Inspiron 5521] suspend/resume failure
+ [Dell Inspiron 15R 5521] suspend/resume failure
Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

- I just updated Bios to version A09, this should not have effect according to the matching changelog.
- Bug doesn't seems to happens or seems to be less frequent while using kernel 3.9.0.7 (to be confirmed).

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.11 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-rc6-saucy/

Changed in linux (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

Hi,

I already patched my bios to A09 and upgraded today to the kernel:

linux-meta (3.11.0.3.4) saucy; urgency=low
  * linux ABI 3.11.0-3
 -- Tim Gardner <email address hidden> Mon, 19 Aug 2013 14:42:28 +0000

I'll wait to see if I can reproduce with this configuration and try mainline kernel in such case.

Nicolas

Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

I could reproduce with kernel 3.11.0.3.4 and bios A09. Is there any difference between this kernel and the one provided in your link ?

The bug doesn't seems to happens if I don't set "acpi_osi=Linux acpi_backlight=vendor" in my /etc/default/grub. But I wouldn't be able to modify lightness then.

sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date output is:

A09
06/25/2013

tags: added: latest-bios-a09
removed: bios-outdated-a09
description: updated
Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

My thought are to try with http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/current/ as "v3.11-rc6-saucy" seems to be older than my current kernel

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: regression-potential
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

No it was already in 13.04 as far as i remember, that's part of the reason that made me start beta-test with Saucy. I'll do some further test when I can. The point is that I think i didn't have to specify "acpi_backlight=vendor" in ubuntu 12.04 or 12.10 to be able to configure lightness. But as i might not remember well it would help if some others Inspiron 5521 users came around this topic. It's actually not that clear for me what ubuntu is doing when it crash, is it suspend to ram ?

(to be confirmed again) but I noticed that it doesn't crash if I manually start the sleep mode with "sudo pm-suspend". Also, I'm surprised to see that in my gnome power management setting everything is set to "don't suspend" (when on power and when on battery).

Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

NB: My InstallationMedia was: Ubuntu 12.10 so i can't talk about the behavior on 12.04.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Nicolas Devillers, for regression testing purposes, could you please test for this in Precise via http://releases.ubuntu.com/precise/ ?

tags: added: quantal
Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

I just tried using a live ubuntu 13.04. I couldn't reproduce with the crash on resume either using "acpi_backlight=vendor" or without. However, you still can't control the lightness without it.

Please note that it was a "live" 13.04 using 3.8.0.19 kernel and default configuration.

My previous installation was at least adding the i8ktools module to prevent overheating/excessive fan noise

Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

I do believe that it's indeed a regression in the kernel.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Nicolas Devillers, is this still reproducible in Saucy if you remove the following non-default kernel parameters:
crashkernel=384M-2G:64M,2G-:128M
acpi_osi=Linux
acpi_backlight=vendor

Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

Christopher, according to my tests, so far the problem is only reproducible when the parameter "acpi_backlight=vendor" is present.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Nicolas, ok. Were the acpi_* parameters required to get your backlight to work in Saucy or address some other issue?

Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

"acpi_osi=Linux" is not useful actually, and i removed it from my grub config.
"acpi_backlight=vendor" is required on raring and saucy at least if I want to be able to manage the backlight. Precise and quantal could be affected as well. I have to check to see if the problem as always been there.

As there is a certified version of ubuntu for inspiron 5521 based on 12.04 maybe Canonical could provide information on weither they needed to add some specific patch/configuration to make it work on it.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Nicolas Devillers, from my personal experience, regarding backlight bugs where one is forced to use acpi_backlight=vendor to enable it, these reports typically result in upstream making a quirk for the hardware in order to enable the backlight by default. Hence, the best strategy would be to get the quirk merged upstream, in turn pulled downstream and supported in Ubuntu, then refocus on how if the quirk still causes suspend to not work, refocus to this.

Hence, could you please open a new report via a terminal:
ubuntu-bug linux

and feel free to subscribe me to it.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Joseph Salisbury (jsalisbury) wrote : Please test latest development kernel (3.11.0-7.14)

Given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We are approaching release and would like to confirm if this bug is still present. Please test again with the latest development kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.11.0-7.14
tags: added: bot-stop-nagging
removed: kernel-request-3.11.0-7.14
Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

confirmed on "Linux omega 3.11.0-7-generic #14-Ubuntu SMP Mon Sep 16 18:37:27 UTC 2013 x86_64"

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Nicolas Devillers, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc2

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

Tested on 3.12.0-031200-generic and issue is still present.

Changed in linux (Ubuntu):
status: Expired → New
Revision history for this message
Brad Figg (brad-figg) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Nicolas Devillers, could you please test the latest mainline kernel -> http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.14-rc2-trusty/ ?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

This issue is now fixed for me with recents kernels on Ubuntu 14.04. I'm currently using 3.13.0-32-generic.
My amd fglrx driver is 2:13.350.1-0ubuntu2
My intel driver is i915-3.15-3.13-dkms

I have GRUB_CMDLINE_LINUX="video.use_native_backlight=1" into my /etc/default/grub

Everything seems to work correctly (brithness, suspend/resume)

Changed in linux (Ubuntu):
status: Expired → New
status: New → In Progress
Revision history for this message
Nicolas Devillers (nicolas-devillers) wrote :

nb: I'm using the following PPA for the intel driver:
deb https://download.01.org/gfx/ubuntu/14.04/main trusty main #Intel Graphics drivers

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Nicolas Devillers, this is not In Progress as defined in https://wiki.ubuntu.com/Bugs/Status . Despite this, if you uninstall the PPA, and remove your WORKAROUND, is this problem reproducible?

If so, the next step is to test the latest mainline kernel, which is now http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-rc2-utopic/ .

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers